Bug 817246 - Review Request: icc-profiles-basiccolor-printing2009 - The OpenICC profiles from basICColor
Review Request: icc-profiles-basiccolor-printing2009 - The OpenICC profiles f...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-28 05:17 EDT by Nicolas Chauvet (kwizart)
Modified: 2012-07-22 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-22 08:42:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jpopelka: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2012-04-28 05:17:55 EDT
Spec URL:
http://kwizart.fedorapeople.org/review/icc-profiles-basiccolor-printing2009.spec
SRPM URL:
http://kwizart.fedorapeople.org/review/icc-profiles-basiccolor-printing2009-1.2.0-1.fc17.src.rpm
Description:
Printing profiles according to ISO 12647-2. These are CMYK
ICC profiles for ISO Printing conditions.
Comment 1 Jiri Popelka 2012-06-29 12:19:24 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail


[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
  MD5SUM this package     : 4c6572f627b4efe5e321c352c898e5b0
  MD5SUM upstream package : 4c6572f627b4efe5e321c352c898e5b0

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD Dist tag is present.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Spec use %global instead of %define.
[!]: SHOULD Buildroot is not present
see https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

[!]: SHOULD Package has no %clean section with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
see https://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

[!]: SHOULD Each %files section contains %defattr if rpm < 4.4
see https://fedoraproject.org/wiki/Packaging/Guidelines#File_Permissions


But there's no serious problem, so I'm considering this package APPROVED!
Comment 2 Nicolas Chauvet (kwizart) 2012-07-04 04:22:29 EDT
Thx for the quick review!


New Package SCM Request
=======================
Package Name: icc-profiles-basiccolor-printing2009
Short Description: Printing profiles according to ISO 12647-2. These are CMYK ICC profiles for ISO Printing conditions.
Owners: kwizart
Branches: f16 f17 el6
InitialCC:
Comment 3 Gwyn Ciesla 2012-07-04 16:59:56 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.